#!/bin/bash

if [ `whoami` != "root" ]; then
	echo 'Run this script as root. Exiting'
	exit 1
fi

PG_DIR="/usr/local/src/profilegenerator"
PG_TEMP="/tmp/profilegen_temp"
cd $PG_TEMP

echo "Profilegenerator & Evaluator update."

echo "Current version:"
cat $PG_DIR/version


wget http://anomalydetection.info/files/R_scripts.tar.gz
tar zxvf R_scripts.tar.gz -C $PG_DIR/
rm R_script.tar.gz

echo "New version:"
cat $PG_DIR/version

echo "Updating R."
echo "#!/usr/bin/Rscript --vanilla
update.packages()" > r_conf.r
chmod +x r_conf.r
./r_conf.r
rm r_conf.r

echo "Done."
